# Enunciado:
# Faça o Crivo de Eratóstenes em Python

n = int(input())

# primo é uma lista tal que primo[i] é True se i é primo, e False caso
# contrário
primo = []
# adicionamos n + 1 elementos a lista, todos True
for i in range(n + 1):
    primo.append(True)
# 0 e 1 não são primos
primo[0] = False
primo[1] = False

# para cada número p de 2 até n, se p é primo, então todos os múltiplos
# de p não são primos
for p in range(2, n + 1):
    if primo[p]:
        print(p, end=" ")
        # podemos começar em p * p, pois todos os múltiplos menores que
        # p * p já foram marcados como não primos
        for k in range(p * p, n + 1, p):
            primo[k] = False
